@font-face {
    font-family: Times;
    src: url("./fonts/tnr.ttf") format("truetype");
}

:root {
    --main-color: black;
    --dark-color: #191f1d;
    --mid-dark: #555a57;
    --light-color: #ece0c8;
    --mid-light: #949993;
    --shadow: #0005;
    --linear-rainbow: linear-gradient(
        to right,
        #ede6bf,
        #ecc947,
        #cb5a31,
        #6f5d79,
        #4e779a
    );
    --circle-rainbow: radial-gradient(
        circle at left top,
        #ede6bf,
        #ecc947,
        #cb5a31,
        #6f5d79,
        #4e779a
    );
    --noise-texture: url(https://i.gyazo.com/a26366e538851a5c569ff648e99b7fd4.png);
    --gif-texture: url(https://64.media.tumblr.com/da60c13b478dda09ab90c27e880983b8/tumblr_nd4pwdPKdc1tun3l0o1_1280.gifv);
}

html {
    overflow: hidden;
    background: white;
    min-height: 100vh;
}

body {
    min-height: 100vh;
}

body {
    margin: 0;
    min-height: 100vh;
    min-width: 100vw;
    color: var(--main-color);
    font-family: Times;
    font-size: 1rem;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: 0.03em;
    text-align: left;
    background-image: url("b1.png"), white;
    background-repeat: no-repeat;
    background-position: right 557px top;
    background-size: contain;
}

main {
    padding-left: 18px;
    padding-right: 18px;
}

section {
    max-width: 753px;
}

p {
    line-height: 16px;
}

a {
    color: var(--main-color);
}

.info[hide="on"] > article {
    opacity: 0;
}

.pal {
    background-image: url("");
    background-repeat: no-repeat;
    background-position: left;
    width: 100%;
    height: 100%;
}

.pal1 {
    --main-color: white;
    background-color: black;
    background-image: url("./img/1.jpg");
    background-size: contain;
    background-position: center;
}

.pal2::before {
    z-index: -1;
    background-color: black;
    content: "";
    display: block;
    height: 100%;
    position: absolute;
    width: 100%;
}
.pal2 {
    background: url("./img/2.jpg");
    background-position: center;
    background-size: auto 100%;
    background-repeat: no-repeat;
    --main-color: #ff5c00;
}

/* SCOTCH CONTAINER */
.scotch-container {
    margin: 0;
    padding: 0px;
    height: 90vh;
    min-height: 80vh;
    max-height: 90vh;
    width: 100vw;

    box-sizing: border-box;
    animation: spawn 2s ease-in-out forwards;
}

/* Overlay textures (fixed for responsiveness) */
.scotch-container:before,
.scotch-container:hover:after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    pointer-events: none;
    z-index: 3;
}

.scotch-container:before {
    background-image: var(--noise-texture);
    mix-blend-mode: overlay;
}

.scotch-container:after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    background-image: var(--gif-texture);
    background-repeat: no-repeat;
    background-size: cover;
    mix-blend-mode: screen;
    pointer-events: none;
    opacity: 0.64;
    z-index: 4; /* Un punto más que :before para que quede arriba */
}
